GMOD_ADD_ORGANISM(1p)

NAME
$0 - Adds an entry to the organism table

SYNOPSIS
  % gmod_add_organism.pl [options]

COMMAND-LINE OPTIONS
 --name_only      Check just for a name, and return a 1 if present
 --common_name
 --genus
 --species
 --abbreviation
 --comment
 --dbprofile      Specify a gmod.conf profile name (otherwise use default)

DESCRIPTION
This script will insert an entry into the Chado organism table. The combination genus and species is required to be unique. If either of those items are not provided, or if that combination is already in the database, the script will exit without doing anything. Technically, those are the only two things required, but it is strongly suggested that you provide a common_name and abbreviation.

The --name_only option is intended for use primarily at install time, to check the database for the existence of an entry in the organism table with a given common_name. If it is present, it prints "1" and exits, otherwise it prints "0" and exits. The options --common_name must be used in conjunction with --name_only.

AUTHOR
Scott Cain <scain@cpan.org>

Copyright (c) 2011

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.